This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 789033 - NullPointerException received from JBoss AS component while attempting content retrieval
NullPointerException received from JBoss AS component while attempting conten...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugin Container, Plugins (Show other bugs)
4.2
Unspecified Unspecified
medium Severity medium (vote)
: ---
: JON 3.0.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 781763
Blocks: 788629
  Show dependency treegraph
 
Reported: 2012-02-09 11:14 EST by Stefan Negrea
Modified: 2013-09-03 11:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 781763
Environment:
JON 3.0.0.GA
Last Closed: 2013-09-03 11:09:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-02-09 11:14:50 EST
+++ This bug was initially created as a clone of Bug #781763 +++

Description of problem:
A fresh JON 3.0.0.GA installation with nothing added to inventory with the following server's showing as NEW resources:

   RHQ Agent (running)
   RHQ Server (running)
   RHQ Server (no longer running)
   PostregeSQL

throws the following NullPointerException in stack trace in the agent log file:

2012-01-14 15:08:29,762 WARN  [Content.discovery-2] (rhq.core.pc.content.ContentDiscoveryRunner)- Exception received from component while attempting content retrieval
java.lang.NullPointerException
	at org.rhq.plugins.jbossas.util.JarContentDelegate.discoverDeployedPackages(JarContentDelegate.java:86)
	at org.rhq.plugins.jbossas.util.JBossASContentFacetDelegate.discoverDeployedPackages(JBossASContentFacetDelegate.java:39)
	at org.rhq.plugins.jbossas.JBossASServerComponent.discoverDeployedPackages(JBossASServerComponent.java:428)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.rhq.core.pc.inventory.ResourceContainer$ComponentInvocationThread.call(ResourceContainer.java:552)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:636)

   

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- Additional comment from mfoley@redhat.com on 2012-01-23 15:38:18 EST ---

documenting verification steps for QE



Setup:
1) Configured RHQ server and RHQ agent

Stimulate
1) Start RHQ server and agent
2) Browse to Inventory -> Discovery Queue
3) Stop RHQ server, stop RHQ agent
4) Rename RHQ server folder to something different
5) Start RHQ server, start RHQ agent
6) Browse to Inventory -> Discovery Queue
7) Import the RHQ server detected in the new directory
8) Browse to agent logs

Verification Steps:
1) Verify that the error reported in the BZ is no longer in the loggs
2) Verify that the RHQ server is correctly imported
3) Verify that after Steps 6 there are two RHQ servers in the discovery queue (the one in the folder before renaming and the one in the folder after the renaming).
Comment 1 Stefan Negrea 2012-02-09 11:28:06 EST
release/jon3.0.x branch commits:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=ffacfc8dabe59992022c33e83251f3dfec13bc17
Comment 2 Simeon Pinder 2012-02-10 17:44:53 EST
Moving to ON_QA as new RC 4 available to test in:
https://brewweb.devel.redhat.com//buildinfo?buildID=198384
Comment 3 Sunil Kondkar 2012-02-13 05:30:02 EST
Verified on Version: 3.0.1.GA RC4 (Build Number: dd8a001:c5270fb)

Verified that after step 6 there are two RHQ servers in the discovery queue. After import, no exception received in agent log.
Comment 4 Heiko W. Rupp 2013-09-03 11:09:58 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.